Get Link
Retrieve a single link by its ID.
GET /api/v1/links/:idAuthentication
Required.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | string (UUID) | The link’s unique identifier |
Response
Returns the full link object.
Examples
curl https://snipurl.click/api/v1/links/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer snip_live_your_key_here"const linkId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://snipurl.click/api/v1/links/${linkId}`,
{ headers: { 'Authorization': 'Bearer snip_live_your_key_here' } }
);
const { data } = await response.json();import requests
link_id = '550e8400-e29b-41d4-a716-446655440000'
response = requests.get(
f'https://snipurl.click/api/v1/links/{link_id}',
headers={'Authorization': 'Bearer snip_live_your_key_here'},
)
data = response.json()['data']Response (200 OK):
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"short_code": "a8Kx2m",
"short_url": "https://snipurl.click/a8Kx2m",
"original_url": "https://example.com/article",
"title": "Example Article",
"is_active": true,
"has_password": false,
"expires_at": null,
"clicks_count": 142,
"analytics_public": false,
"analytics_shared_fields": null,
"created_at": "2025-06-20T10:00:00.000Z",
"updated_at": "2025-06-22T14:30:00.000Z"
}
}Error Responses
| Status | Code | Description |
|---|---|---|
| 404 | NOT_FOUND | Link not found or doesn’t belong to you |
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Link not found."
}
}Last updated on